Bug 1919922 - [RFE] Global Registration: Need hammer module to generate commands
Summary: [RFE] Global Registration: Need hammer module to generate commands
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Registration
Version: 6.9.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.10.0
Assignee: Leos Stejskal
QA Contact: Omkar Khatavkar
URL:
Whiteboard:
: 1978690 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-25 12:00 UTC by Jaskaran Singh Narula
Modified: 2021-11-16 14:09 UTC (History)
10 users (show)

Fixed In Version: tfm-rubygem-katello-4.1.1.5-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-16 14:09:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 31629 0 Normal Closed Add API for generating registration command 2021-07-22 08:46:05 UTC
Foreman Issue Tracker 31630 0 Normal Closed Global Registration - Hammer support 2021-07-22 08:46:03 UTC
Foreman Issue Tracker 33141 0 None None None 2021-08-05 11:46:21 UTC
Github Katello katello pull 9421 0 None open refs #31809 - Registration API & activation key(s) 2021-07-22 08:46:23 UTC
Red Hat Knowledge Base (Solution) 5906931 0 None None None 2021-03-25 15:26:51 UTC
Red Hat Product Errata RHSA-2021:4702 0 None None None 2021-11-16 14:09:55 UTC

Description Jaskaran Singh Narula 2021-01-25 12:00:16 UTC
Description of problem:
[RFE] Need hammer module to generate global registration commands 

Version-Release number of selected component (if applicable):
- Satellite 6.9.0 Beta 

Additional info:
- Feature request if for the hammer commands to perform the same actions that are done using the global registration feature. 
Generate the registration command to register the systems to the satellite. 

- As of now, there is no hammer module or any set of commands that can be used. In order to automate the entire process where generation can be also done.

Comment 3 Leos Stejskal 2021-06-10 07:43:37 UTC
Hi,
this is indeed a bug, problem is that '--activation-keys' is required field, which shouldn't be. User can for example specify host group only and we can get the keys from the HG.

Comment 4 Patrick Creech 2021-07-21 18:32:37 UTC
Moving back to assigned as the attached upstream PR has not been merged yet

Comment 5 Leos Stejskal 2021-07-23 08:17:01 UTC
PR fixing activation_key(s):
- Foreman: https://github.com/theforeman/foreman/pull/8659
- Katello: https://github.com/Katello/katello/pull/9459

Comment 6 Omkar Khatavkar 2021-07-29 08:10:39 UTC
*** Bug 1978690 has been marked as a duplicate of this bug. ***

Comment 7 Leos Stejskal 2021-07-29 09:11:55 UTC
PR have been merged: https://github.com/Katello/katello/pull/9421

Comment 12 errata-xmlrpc 2021-11-16 14:09:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.10 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:4702


Note You need to log in before you can comment on or make changes to this bug.